> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar senhas mestras

> List master passwords under the path account.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.pt-br.json GET /v1/public/accounts/{account_id}/credentials
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/credentials:
    get:
      tags:
        - public-accounts
        - public-credentials
      summary: Listar senhas mestras
      description: List master passwords under the path account.
      operationId: list_public_credentials_v1_public_accounts__account_id__credentials_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CredentialListResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erro de validação
      security:
        - PublicBearerAuth: []
components:
  schemas:
    CredentialListResponse:
      properties:
        items:
          description: Senhas mestras nesta página
          items:
            $ref: '#/components/schemas/CredentialDTO'
          title: Itens
          type: array
        page:
          description: Número de página baseado em um atual
          title: Página
          type: integer
        page_size:
          description: Máximo de itens por página
          title: Tamanho da página
          type: integer
        total:
          description: Total de senhas mestras correspondentes
          title: Total
          type: integer
      required:
        - items
        - page
        - page_size
        - total
      title: CredentialListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detalhe
          type: array
      title: HTTPValidationError
      type: object
    CredentialDTO:
      properties:
        created_at:
          description: Data e hora de criação da senha mestra
          title: Criado em
          type: string
        id:
          description: UUID da senha mestra
          format: uuid
          title: ID
          type: string
        name:
          description: Nome de exibição da senha mestra
          title: Nome
          type: string
        scope_id:
          description: UUID do recurso para o escopo da senha mestra
          format: uuid
          title: Id do escopo
          type: string
        scope_type:
          description: Tipo de escopo de recurso onde a senha mestra se aplica
          enum:
            - account
            - workspace
            - domain
          title: Tipo do escopo
          type: string
        updated_at:
          description: Data e hora da última atualização da senha mestra
          title: Atualizado em
          type: string
      required:
        - id
        - name
        - scope_type
        - scope_id
        - created_at
        - updated_at
      title: CredentialDTO
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Localização
          type: array
        msg:
          title: Mensagem
          type: string
        type:
          title: Tipo de erro
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````